% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pkproto_mapping.R
\name{mapping}
\alias{mapping}
\title{New mapping}
\usage{
mapping(
  mapping = ggplot2::aes(Chemical = analyte_dtxsid, Chemical_Name =
    analyte_name_original, DTXSID = analyte_dtxsid, CASRN = analyte_casrn, Species =
    species, Reference = document_id, Media = conc_medium_normalized, Route =
    administration_route_normalized, Dose = dose_level_corrected, Dose.Units = "mg/kg",
    Subject_ID = subject_id, Series_ID = series_id, Study_ID = study_id, ConcTime_ID =
    conc_time_id, N_Subjects = n_subjects_in_series, Weight = weight_kg, Weight.Units =
    "kg", Time = time_hr, Time.Units = "hours", 
     Value = conc, Value.Units = "mg/L",
    Value_SD = conc_sd_normalized, LOQ = loq),
  ...
)
}
\arguments{
\item{mapping}{A [ggplot2::aes()] call that maps variable names in the original data to the harmonized `invivoPKfit` variable names.}

\item{...}{Additional arguments. Currently unused.}
}
\value{
An object of class `uneval` containing the mapping -- see [ggplot2::aes()] for details.
}
\description{
New mapping
}
\author{
Caroline Ring
}
